[Index]
Model ref.: device/msgraph/UserActivityUserDetail
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"id": {
"name": "id",
"type": "string",
"title": "ID",
"maxLength": 1024
},
"tenantDisplayName": {
"name": "tenantDisplayName",
"type": "string",
"title": "Tenant Display Name",
"maxLength": 1024
},
"sharedChannelTenantDisplayNames": {
"name": "sharedChannelTenantDisplayNames",
"type": "string",
"title": "Shared Channel Tenant Display Names",
"maxLength": 1024
},
"reportRefreshDate": {
"name": "reportRefreshDate",
"type": "string",
"title": "Report Refresh Date",
"maxLength": 1024
},
"userId": {
"name": "userId",
"type": "string",
"title": "User ID",
"maxLength": 1024
},
"userPrincipalName": {
"name": "userPrincipalName",
"type": "string",
"title": "User Principal Name",
"maxLength": 1024
},
"lastActivityDate": {
"name": "lastActivityDate",
"description": "This field will report the last activity date even if it falls outside the requested period. It will be null if there was never any activity.",
"type": "string",
"title": "Last Activity Date",
"maxLength": 1024
},
"isDeleted": {
"name": "isDeleted",
"type": "boolean",
"title": "Is Deleted"
},
"deletedDate": {
"name": "deletedDate",
"type": "string",
"title": "Deleted Date",
"maxLength": 1024
},
"isExternal": {
"name": "isExternal",
"type": "boolean",
"title": "Is External"
},
"assignedProducts": {
"name": "assignedProducts",
"type": "array",
"title": "Assigned Products",
"items": {
"type": "string",
"maxLength": 1024
}
},
"teamChatMessageCount": {
"name": "teamChatMessageCount",
"type": "integer",
"title": "Team Chat Message Count"
},
"privateChatMessageCount": {
"name": "privateChatMessageCount",
"type": "integer",
"title": "Private Chat Message Count"
},
"callCount": {
"name": "callCount",
"type": "integer",
"title": "Call Count"
},
"meetingCount": {
"name": "meetingCount",
"type": "integer",
"title": "Meeting Count"
},
"meetingsOrganizedCount": {
"name": "meetingsOrganizedCount",
"type": "integer",
"title": "Meetings Organized Count"
},
"meetingsAttendedCount": {
"name": "meetingsAttendedCount",
"type": "integer",
"title": "Meetings Attended Count"
},
"adHocMeetingsOrganizedCount": {
"name": "adHocMeetingsOrganizedCount",
"type": "integer",
"title": "Ad Hoc Meetings Organized Count"
},
"adHocMeetingsAttendedCount": {
"name": "adHocMeetingsAttendedCount",
"type": "integer",
"title": "Ad Hoc Meetings Attended Count"
},
"scheduledOneTimeMeetingsOrganizedCount": {
"name": "scheduledOneTimeMeetingsOrganizedCount",
"type": "integer",
"title": "Scheduled One Time Meetings Organized Count"
},
"scheduledOneTimeMeetingsAttendedCount": {
"name": "scheduledOneTimeMeetingsAttendedCount",
"type": "integer",
"title": "Scheduled One Time Meetings Attended Count"
},
"scheduledRecurringMeetingsOrganizedCount": {
"name": "scheduledRecurringMeetingsOrganizedCount",
"type": "integer",
"title": "Scheduled Recurring Meetings Organized Count"
},
"scheduledRecurringMeetingsAttendedCount": {
"name": "scheduledRecurringMeetingsAttendedCount",
"type": "integer",
"title": "Scheduled Recurring Meetings Attended Count"
},
"audioDuration": {
"name": "audioDuration",
"type": "string",
"title": "Audio Duration",
"maxLength": 1024
},
"videoDuration": {
"name": "videoDuration",
"type": "string",
"title": "Video Duration",
"maxLength": 1024
},
"screenShareDuration": {
"name": "screenShareDuration",
"type": "string",
"title": "Screen Share Duration",
"maxLength": 1024
},
"hasOtherAction": {
"name": "hasOtherAction",
"type": "boolean",
"title": "Has Other Action"
},
"urgentMessages": {
"name": "urgentMessages",
"type": "integer",
"title": "Urgent Messages"
},
"postMessages": {
"name": "postMessages",
"type": "integer",
"title": "Post Messages"
},
"replyMessages": {
"name": "replyMessages",
"type": "integer",
"title": "Reply Messages"
},
"isLicensed": {
"name": "isLicensed",
"type": "boolean",
"title": "Is Licensed"
},
"reportPeriod": {
"name": "reportPeriod",
"type": "string",
"title": "Report Period",
"maxLength": 1024
}
},
"schema_version": "1.0"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | GET | /api/device/msgraph/UserActivityUserDetail/bulk_update/?schema=&schema_rules=true |
|
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk Modify | POST | /api/device/msgraph/UserActivityUserDetail/bulk_update/ |
|
For example: {"data":{"name":"value"}, "meta":{}, "request_meta":{ "hrefs":["/api/v0/device/msgraph/UserActivityUserDetail/[pkid1]", "/api/v0/device/msgraph/UserActivityUserDetail/[pkid2]",...]}} |
GET http://[host-proxy]/api/device/msgraph/UserActivityUserDetail/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Move the instance with [pkid] to [target_hierarchy] | POST | /api/tool/DataMove/?model_type=device/msgraph/UserActivityUserDetail |
|
{"hrefs": ["/api/device/msgraph/UserActivityUserDetail/[pkid]"]} |
| Bulk Move | POST | /api/tool/DataMove/?model_type=device/msgraph/UserActivityUserDetail |
|
{"hrefs": ["/api/device/msgraph/UserActivityUserDetail/[pkid1]", "/api/device/msgraph/UserActivityUserDetail/[pkid2]",...]} |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of device/msgraph/UserActivityUserDetail; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/device/msgraph/UserActivityUserDetail/export/ |
|
{ "hrefs":["/api/device/msgraph/UserActivityUserDetail/[pkid1]", "/api/device/msgraph/UserActivityUserDetail/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of device/msgraph/UserActivityUserDetail and the JSON format can be used to import instances of device/msgraph/UserActivityUserDetail.
GET http://[host-proxy]/api/device/msgraph/UserActivityUserDetail/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for device/msgraph/UserActivityUserDetail | POST | /api/device/msgraph/UserActivityUserDetail/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/device/msgraph/UserActivityUserDetail/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/device/msgraph/UserActivityUserDetail/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/device/msgraph/UserActivityUserDetail/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/device/msgraph/UserActivityUserDetail/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Migration Template | GET | /api/device/msgraph/UserActivityUserDetail/migration/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/device/msgraph/UserActivityUserDetail/ |
|
The device/msgraph/UserActivityUserDetail schema and all instances as JSON. |
(The list will return 0 to 3 device/msgraph/UserActivityUserDetail instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 0,
"total_limit": null,
"order_by": "id",
"direction": "asc",
"current": "/api/device/msgraph/UserActivityUserDetail/?skip=0&limit=3&order_by=id&direction=asc&traversal=down"
},
"operations": [
"list"
],
"meta": {
"model_type": "device/msgraph/UserActivityUserDetail",
"summary_attrs": [
{
"name": "id",
"title": "ID"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"list",
"move",
"export",
"export_bulkload_template",
"bulk_update_form",
"configuration_template",
"field_display_policy",
"help",
"migration",
"transform",
"tag",
"tag_version"
],
"schema_version": "1.0",
"actions": [
{
"bulk_update_form": {
"method": "GET",
"class": "update",
"href": "/api/device/msgraph/UserActivityUserDetail/bulk_update/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Bulk Modify"
}
},
{
"move": {
"method": "POST",
"class": "move",
"href": "/api/tool/DataMove/?hierarchy=[hierarchy]&model_type=device/msgraph/UserActivityUserDetail",
"support_async": true,
"title": "Move",
"view": "/api/tool/DataMove/?auth_token=[authtoken]
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/device/msgraph/UserActivityUserDetail/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/device/msgraph/UserActivityUserDetail/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/device/msgraph/UserActivityUserDetail/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/device/msgraph/UserActivityUserDetail/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/device/msgraph/UserActivityUserDetail/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/device/msgraph/UserActivityUserDetail/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"migration": {
"method": "GET",
"class": "migration",
"href": "/api/device/msgraph/UserActivityUserDetail/migration/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Migration Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/device/msgraph/UserActivityUserDetail/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/device/msgraph/UserActivityUserDetail/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
},
{
"purge": {
"method": "POST",
"class": "purge",
"href": "/api/device/msgraph/UserActivityUserDetail/purge/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Purge"
}
},
{
"transform": {
"method": "GET",
"class": "transform",
"href": "/api/device/msgraph/UserActivityUserDetail/transform/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Transform Template"
}
}
]
},
"resources": []
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for device/msgraph/UserActivityUserDetail. | GET | /api/device/msgraph/UserActivityUserDetail/help | hierarchy=[hierarchy] | On-line help of Model ref.: device/msgraph/UserActivityUserDetail as HTML |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Purge | POST | /api/device/msgraph/UserActivityUserDetail/purge/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Transform Template | GET | /api/device/msgraph/UserActivityUserDetail/transform/ |
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Move | POST | /api/tool/DataMove/[pkid]/?model_type=device/msgraph/UserActivityUserDetail | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of device/msgraph/UserActivityUserDetail; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/device/msgraph/UserActivityUserDetail/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of device/msgraph/UserActivityUserDetail and the JSON format can be used to import instances of device/msgraph/UserActivityUserDetail.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/device/msgraph/UserActivityUserDetail/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/device/msgraph/UserActivityUserDetail/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for device/msgraph/UserActivityUserDetail. |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Purge | POST | /api/device/msgraph/UserActivityUserDetail/[pkid]/purge | hierarchy=[hierarchy] | If payload required: |